HtmlEscapeTag (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.web.servlet.tags

## Class HtmlEscapeTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.springframework.web.servlet.tags.RequestContextAwareTag
    - - org.springframework.web.servlet.tags.HtmlEscapeTag

- All Implemented Interfaces:
    Serializable, IterationTag, JspTag, Tag, TryCatchFinally

      public class HtmlEscapeTag
      extends RequestContextAwareTag

  Sets default HTML escape value for the current page. The actual value can be overridden by escaping-aware tags. The default is "false".

  Note: You can also set a "defaultHtmlEscape" web.xml context-param. A page-level setting overrides a context-param.

  Since:
    04.03.2003
  Author:
    Juergen Hoeller
  See Also:
    `HtmlEscapingAwareTag.setHtmlEscape(java.lang.String)`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

      `logger, REQUEST_CONTEXT_PAGE_ATTRIBUTE`

    - ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

      `id, pageContext`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlEscapeTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `doStartTagInternal()` Called by doStartTag to perform the actual work.
    `void` | `setDefaultHtmlEscape(String defaultHtmlEscape)` Set the default value for HTML escaping, to be put into the current PageContext.

    - ### Methods inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

      `doCatch, doFinally, doStartTag, getRequestContext`

    - ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

      `doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HtmlEscapeTag

          public HtmlEscapeTag()

  - ### Method Detail

    - #### setDefaultHtmlEscape

          public void setDefaultHtmlEscape(String defaultHtmlEscape)

      Set the default value for HTML escaping, to be put into the current PageContext.

    - #### doStartTagInternal

          protected int doStartTagInternal()
                                    throws JspException

      Description copied from class: `RequestContextAwareTag`
      Called by doStartTag to perform the actual work.
      Specified by:
        `doStartTagInternal` in class `RequestContextAwareTag`
      Returns:
        same as TagSupport.doStartTag
      Throws:
        `JspException`
      See Also:
        `TagSupport.doStartTag()`